
Name:           ddnsUpd

Version:        0.6
Release:        1%{?dist}
Summary:        ddnsUpd - a DDNS update utility

License:        ASL 2.0
Source0:        ddnsUpd
Source1:        ddnsUpd.service
Source2:        ddnsUpd.timer
Source3:        ddnsUpd@.service
Source4:        ddnsUpd@.timer
Source5:        ddnsUpd.README
Source6:        ddnsUpd.EXAMPLE.conf

%if (0%{?rhel} == 7)
BuildRequires:  systemd
%else
BuildRequires:  systemd-rpm-macros
%endif

BuildArch:      noarch

%description
Dynamic DNS service updater


%prep


%build


%install

mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/ddnsUpd
install -p -m 755 %{SOURCE0} %{buildroot}%{_libexecdir}/
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/
install -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/
install -p -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/
install -p -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/
install -p -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/ddnsUpd/README
install -p -m 600 %{SOURCE6} %{buildroot}%{_sysconfdir}/ddnsUpd/EXAMPLE.conf


%files

%defattr(644,root,root,755)
%dir %{_sysconfdir}/ddnsUpd
%{_sysconfdir}/ddnsUpd/README
%attr(600,root,root) %{_sysconfdir}/ddnsUpd/EXAMPLE.conf
%{_unitdir}/ddnsUpd.service
%{_unitdir}/ddnsUpd.timer
%{_unitdir}/ddnsUpd@.service
%{_unitdir}/ddnsUpd@.timer
%attr(755,root,root) %{_libexecdir}/ddnsUpd


%pre


%post
%systemd_post ddnsUpd 


%preun
%systemd_preun ddnsUpd


%postun
%systemd_postun ddnsUpd


%changelog
* Wed Apr 05 2023 Gary Buhrmaster <gary.buhrmaster@gmail.com> - 0.6-1
- Support cloudflare
- Fix for exit code(s)

* Fri Mar 04 2022 Gary Buhrmaster <gary.buhrmaster@gmail.com> - 0.5-3
- Add sandboxing to service units

* Tue Feb 22 2022 Gary Buhrmaster <gary.buhrmaster@gmail.com> - 0.5-2
- Add Wants=network-online.target to service unit

* Tue Feb 22 2022 Gary Buhrmaster <gary.buhrmaster@gmail.com> - 0.5-1
- Remove Wants=network-online.target from timer unit

* Fri Nov 20 2020 Gary Buhrmaster <gary.buhrmaster@gmail.com> 0.4-1
- Increase OnBootSec from 30s to 60s in timers

* Tue Oct 13 2020 Gary Buhrmaster <gary.buhrmaster@gmail.com> 0.3-1
- 0.3 release

* Sat Oct 10 2020 Gary Buhrmaster <gary.buhrmaster@gmail.com> 0.2-1
- 0.2 release

* Wed Oct 07 2020 Gary Buhrmaster <gary.buhrmaster@gmail.com> 0.1-1
- 0.1 release

